## SoupSessionSync

SoupSessionSync — (Deprecated) SoupSession for blocking I/O in multithreaded programs.

## Functions

SoupSession * | soup_session_sync_new ()
SoupSession * | soup_session_sync_new_with_options ()

## Types and Values

| SoupSessionSync

## Object Hierarchy

        GObject
        ╰── SoupSession
            ╰── SoupSessionSync

## Includes

    #include <libsoup/soup.h>

## Description

SoupSessionSync is an implementation of SoupSession that uses synchronous I/O, intended for use in multi-threaded programs.

As of libsoup 2.42, this is deprecated in favor of the plain SoupSession class (which uses both asynchronous and synchronous I/O, depending on the API used). See the porting guide.

## Functions

### soup_session_sync_new ()

    SoupSession *
    soup_session_sync_new (void);

`soup_session_sync_new` is deprecated and should not be used in newly-written code.

SoupSessionSync is deprecated; use a plain SoupSession, created with `soup_session_new()`. See the porting guide.

Creates an synchronous SoupSession with the default options.

#### Returns

the new session.

### soup_session_sync_new_with_options ()

    SoupSession *
    soup_session_sync_new_with_options (const char *optname1,
                                        ...);

`soup_session_sync_new_with_options` is deprecated and should not be used in newly-written code.

SoupSessionSync is deprecated; use a plain SoupSession, created with `soup_session_new_with_options()`. See the

porting guide.

Creates an synchronous SoupSession with the specified options.

#### Parameters

optname1 | name of first property to set |
... | value of `optname1` , followed by additional property/value pairs |

#### Returns

the new session.

## Types and Values

### SoupSessionSync

    typedef struct _SoupSessionSync SoupSessionSync;